jQuery(document).ready(function($) {

    $("#empty-ham-entries").click(function (e) {
        let that = this;
        this.classList.add("disabled");
        const data = { action: 'empty_ham_entries', action_type: 'empty-entries' };
        jQuery.post(ajaxurl, data, function(response){
            if (response["success"]) {
               that.classList.remove("disabled");
               location.reload();
            }
        });
    });

    $("#empty-spam-entries").click(function (e) {
        let that = this;
        this.classList.add("disabled");
        const data = { action: 'empty_spam_entries', action_type: 'empty-entries' };
        jQuery.post(ajaxurl, data, function(response){
            if (response["success"]) {
               that.classList.remove("disabled");
               location.reload();
            }
        });
    });
    

    // Show an alter if the Sensitivity Level is different than 3
    const rangeInput = document.getElementById("oopspam_spam_score_threshold");
    let showAlert = true;

    rangeInput.addEventListener("input", function() {
    if (rangeInput.value !== "3" && showAlert) {
        alert("It's highly recommended that the Sensitivity level be set to 3");
        showAlert = false;
    }
    });


    // Call chosen
    $('select.chosen').chosen();

    // Add select/deselect all toggle to optgroups in chosen
    $(document).on('click', '.group-result', function() {
        // Get unselected items in this group
        var unselected = $(this).nextUntil('.group-result').not('.result-selected');
        if ( unselected.length ) {
            // Select all items in this group
            unselected.trigger('mouseup');
        } else {
            $(this).nextUntil('.group-result').each(function() {
                // Deselect all items in this group
                $('a.search-choice-close[data-option-array-index="' + $(this).data('option-array-index') + '"]').trigger('click');
            });
        }
    });


    hideAllowedCountriesSection();
    $("#ip_check_support").click(function () {
        hideAllowedCountriesSection();
    })
    
    function hideAllowedCountriesSection() {
        if ($("#ip_check_support").is(":checked")) {
            $("#allowcountry").closest("tr").hide();
        } else if($("#ip_check_support").is(":not(:checked)")) {
            $("#allowcountry").closest("tr").show();
          }
    }

   
});



